Skip to content

List events

Events

Fetches a paginated list of events sorted by startdate in ascending order

GET
/events

Parameters

Header Parameters

X-USER-ID

Non moderator id of the user fetching the data. If moderatorId query parameter is provided, it takes precedence. If provided, public and user's group events are returned.

Type
number

Query Parameters

moderatorId

ID of the moderator requesting the list of events. Takes precedence over X-USER_ID header.

Type
string
class

Retrieve a certain classification of events. One of 'past', 'published', 'upcoming', 'all', 'public'. all requires moderatorId to be provided.

Type
string
Valid values
"public""published""upcoming""past""all"
Example"upcoming"
Default
"public"
Pattern
"[a-z]"
filter

Deprecated. Use class instead. If both are provided, class takes precendence.

Type
string
Valid values
"public""published""upcoming""past""all"
Example"past"
Default
"public"
Pattern
"[a-z]"
filters

Filter the list of events

Type
object
page

Selects the page to retrieve on paginated responses. Used in combination with the pageSize parameter to paginate over results

Type
integer
Default
1
Minimum
1
pageSize

Limits the number of items returned in a single paginated response. Used in combination with the page parameter to paginate over results

Type
integer
Default
25
Maximum
100
Minimum
1
order

Sets the order of the event list.

Type
string
Valid values
"startdate.asc""startdate.desc"
Default
"startdate.asc"

Responses

Successful response

application/json
JSON
{
  
"result": [
  
  
{
  
  
  
"id": "1",
  
  
  
"title": "My first meetup",
  
  
  
"content": "Some information about my meetup",
  
  
  
"startDate": "2017-04-01T15:29:06+00:00",
  
  
  
"endDate": "2017-04-01T20:29:06+00:00",
  
  
  
"location": "Amsterdam",
  
  
  
"url": "https://fake.meetup.com",
  
  
  
"externalRegistrationUrl": "https://fake.meetup.com",
  
  
  
"externalRegistrationUrlLabel": "Button name",
  
  
  
"image": "https://fake.meetup.com/image.png",
  
  
  
"createdAt": "2017-04-10T15:29:06+00:00",
  
  
  
"createdBy": "1",
  
  
  
"trashed": false,
  
  
  
"userGroupId": "1",
  
  
  
"timezone": "Europe/Amsterdam"
  
  
}
  
],
  
"_metadata": {
  
  
"totalCount": 0,
  
  
"limit": 0,
  
  
"offset": 0
  
}
}

Samples

Gainsight CC Developer Portal